Bug 1435962 - CEPH RBD mirroring - failed to create a replicated volume from an image
Summary: CEPH RBD mirroring - failed to create a replicated volume from an image
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 11.0 (Ocata)
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jon Bernard
QA Contact: Tzach Shefi
URL:
Whiteboard:
Depends On:
Blocks: 1412804
TreeView+ depends on / blocked
 
Reported: 2017-03-26 09:27 UTC by Tzach Shefi
Modified: 2019-07-23 19:13 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-23 19:13:41 UTC
Target Upstream Version:


Attachments (Terms of Use)
Cinder logs and config (112.21 KB, application/x-gzip)
2017-03-26 09:27 UTC, Tzach Shefi
no flags Details


Links
System ID Priority Status Summary Last Updated
Launchpad 1676139 None None None 2017-03-26 09:27:45 UTC

Description Tzach Shefi 2017-03-26 09:27:45 UTC
Created attachment 1266500 [details]
Cinder logs and config

Description of problem: When using Cinder CEPH RBD mirroring, creating a none replicated volume from an image works fine. Creating a replicated volume from an image fails status - error. Creating an empty replicated volume also works fine. 

Version-Release number of selected component (if applicable):
# rpm -qa | grep cinder
openstack-cinder-10.0.1-0.20170310192919.b05afc3.el7ost.noarch
python-cinderclient-1.11.0-1.el7ost.noarch
puppet-cinder-10.3.0-1.el7ost.noarch
python-cinder-10.0.1-0.20170310192919.b05afc3.el7ost.noarch



How reproducible:
Every time 

Steps to Reproduce:
1. Configure a system with CEPH RBD mirroring
2. Upload an image
3. Create a none replicated volume from an image - works.
# openstack volume create NoneReplVolFromImage --size 2 --image 06ea4aa6-4391-40fa-9f19-01fd0534cbe7

4. Create a replicated volume from an image - status error. 
# openstack volume create ReplVolFromImage --size 2 --type REPL --image 06ea4aa6-4391-40fa-9f19-01fd0534cbe7

5. An empty replicated volume is created successfully, basic replication works. 

 
6. Cinder list see error status on vol from #4
[stack@undercloud-0 ~]$ cinder list
[stack@undercloud-0 ~]$ cinder list
+--------------------------------------+-----------+----------------------+------+-------------+----------+-------------+
| ID                                   | Status    | Name                 | Size | Volume Type | Bootable | Attached to |
+--------------------------------------+-----------+----------------------+------+-------------+----------+-------------+
| 1f25cc1b-7e77-471a-a567-b38e216ce9ff | available | ReplVol              | 2    | REPL        | false    |             |
| 58b4bf7d-9be7-4b08-92d1-cdad1f694e93 | available | NoneReplVolFromImage | 2    | -           | true     |             |
| be55fec9-1bd7-4756-8965-9d82233ce0ec | error     | ReplVolFromImage     | 2    | REPL        | false    |             |
+--------------------------------------+-----------+----------------------+------+-------------+----------+-------------+



Actual results:
Failed to create a replicated volume from an image. 

Expected results:
Replicated volume from an image should be successfully created. 

Additional info:

Uploaded Cinder logs. 

Glance image is a Cirros image in raw format, Glance also uses CEPH backend. 

#glance image-list
+--------------------------------------+--------+
| ID                                   | Name   |
+--------------------------------------+--------+
| 06ea4aa6-4391-40fa-9f19-01fd0534cbe7 | cirros |
+--------------------------------------+--------+


$ cinder type-show REPL
+---------------------------------+-----------------------------------------------------------------------------+
| Property                        | Value                                                                       |
+---------------------------------+-----------------------------------------------------------------------------+
| description                     | None                                                                        |
| extra_specs                     | {'replication_enabled': '<is> True', 'volume_backend_name': 'tripleo_ceph'} |
| id                              | fb3f6fe6-9284-4555-8f56-185b10923589                                        |
| is_public                       | True                                                                        |
| name                            | REPL                                                                        |
| os-volume-type-access:is_public | True                                                                        |
| qos_specs_id                    | None                                                                        |
+---------------------------------+-----------------------------------------------------------------------------+

Comment 1 Paul Grist 2017-04-06 03:07:00 UTC
Targeting the replication testing bugs found to OSP12

Comment 6 John Visser 2019-07-23 19:13:41 UTC
Will be resolved when  replication is correctly deployed (OSP-17) and tripleO can deploy a replicated volume


Note You need to log in before you can comment on or make changes to this bug.